Subject: Re: bug#54239: [PATCH] gnu: Add cross-clang.

From: Julien Lepiller <[email-masked]>
Date: Tue, 19 Jul 2022 22:42:11 +0200

Le Tue, 19 Jul 2022 21:54:16 +0200,
Maxime Devos <[email-masked]> a écrit :

> On 16-07-2022 21:44, Julien Lepiller wrote:
> > Since I couldn't figure out how to make a package for a given
> > target, I added a transformation to (guix build-system) that
> > replaces the keywords to force a package to build for a given
> > architecture.  
> 
> 
> Try:
> 
> scheme@(guix-user)> ,build (with-parameters ((%current-target-system 
> "aarch64-linux-gnu")) (specification->package "hello"))
> 
> [...]
> 
> $3 = "/gnu/store/rys78r4j72zh45xchq87x2y30ya8mzvi-hello-2.12.1"
> 
> Greetings,
> 
> Maxime.
> 

Thanks, that was a lot easier than I thought. So I removed the first
patch and changed to (with-parameters ((%current-target-system target))
base) in cross-clang.